using System.Text.Json.Serialization;

namespace SteUp.Shared.Core.Dto;

public class SendEmailDto
{
    [JsonPropertyName("from")]
    public string? From { get; set; }
    
    [JsonPropertyName("fromName")]
    public string? FromName { get; set; }
    
    [JsonPropertyName("to")]
    public string? To { get; set; }
    
    [JsonPropertyName("subject")]
    public string? Subject { get; set; }
    
    [JsonPropertyName("msgText")]
    public string? MsgText { get; set; }
    
    [JsonPropertyName("html")]
    public bool IsHtml { get; set; }
    
    [JsonPropertyName("attachments")]
    public List<AttachmentsDto>? Attachments { get; set; }

    public class AttachmentsDto
    {
        public string FileName { get; set; } = string.Empty;
        public byte[] FileContent { get; set; } = [];
    }
}